Page MenuHomePhabricator

[Bug] Mispositioned tooltip icon overlaps with "add qualifier" link and other elements
Closed, ResolvedPublic

Description

As shown in the image here:

In French (and maybe other languages as well), the labels of the links (save/delete/cancel) are too long and the tooltip is pushed to the next line, where it makes very hard and sometimes to click on the "Add a qualifier" link (the whole line is unclickable, not only the part with the picture...)

A temporary workaround is to hide the tooltip alltogether in https://wikidata.org/wiki/Special:MyPage/common.css:

.mw-help-field-hint.wikibase-toolbar-item.wikibase-wbtooltip{
	display:none;
}

But it would be better that the bug doen't appear in the first place.

Bug seen in Firefox 48.0 on Ubuntu 16.10, with my regular account and another one without any personalizations.

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterDo not wrap question mark icon to the next line

Event Timeline

Ash_Crow created this task.Sep 26 2016, 8:16 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 26 2016, 8:16 PM

I've had the exact same issue suddenly this morning on Safari 10. It doesn't happen all the time.

Design: an idea would be appreciated to efficiently show long links and tooltips, without hiding the other links by the tooltips.

I opened up a bug for this a while ago although mine was to only point out the interface design issue:

T139592

It's good to know that this is not just an aesthetic issue now.

@thiemowmde @Lydia_Pintscher @Jonas any idea how easily this is fixable?

thiemowmde triaged this task as Low priority.EditedOct 6 2016, 4:22 PM

I believe the critical bug of the link not being clickable is fixed. I can see why this happened. The HTML element containing the question mark icon had no maximum width. It spanned the whole width (and blocked the link), even if only the first 11 pixels where visible. Since https://gerrit.wikimedia.org/r/312003 the width is limited to the first 11 pixels. The link behind the icon is clickable now.

It's an aesthetic issue now. Still needs a fix.

thiemowmde renamed this task from Mispositioned tooltip prevents adding a qualifier on Wikidata to [Bug] Mispositioned tooltip icon overlaps with "add qualifier" link and other elements.Oct 6 2016, 4:24 PM

Change 314581 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Do not wrap question mark icon to the next line

https://gerrit.wikimedia.org/r/314581

Change 314581 merged by jenkins-bot:
Do not wrap question mark icon to the next line

https://gerrit.wikimedia.org/r/314581

" The link behind the icon is clickable now."
Nope, it's not.

@Ash_Crow Can you please check again? It seems ok for me now. Maybe it wasn't deployed yet when you checked.

thiemowmde closed this task as Resolved.Oct 13 2016, 3:54 PM
thiemowmde claimed this task.

What I wrote above was indeed wrong:

… the width is limited to the first 11 pixels. The link behind the icon is clickable now.

However, the patch above solved the issue by moving the icon up, to the right of the edit buttons. This patch is not yet live on wikidata.org, but can be tested on https://wikidata.beta.wmflabs.org/wiki/Q12?uselang=de.

@Ash_Crow Can you please check again? It seems ok for me now. Maybe it wasn't deployed yet when you checked.

It's OK on https://wikidata.beta.wmflabs.org/wiki/Q12?uselang=de, but not in wikidata.org... I thought the patch had been deployed in production because I have hidden the icon entirely and it was back.

It came back because we had to change the CSS class name from .mw-… to .wb-…. This was done in https://gerrit.wikimedia.org/r/312001.

Charlie_WMDE moved this task from Incoming WD to Done on the WMDE-Design board.Nov 8 2016, 4:03 PM